# Fn<> IsSameType
Metaprogramming type comparison.

Defined in | <seqan/basic.h>
Signature | `IsSameType<T1, T2>::Type; IsSameType<T1, T2>::VALUE;`

## Template Parameters

`T1` | Left-hand argument.
`T2` | Right-hand argument.

## Return Values

`Type` | Either True or False, depending on whether T1 is the same type as T2.
`VALUE` | The same as `Type::VALUE`.

#### Dox Sources

    /*!
     * @mfn IsSameType
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Metaprogramming type comparison.
     *
     * @signature IsSameType<T1, T2>::Type;
     * @signature IsSameType<T1, T2>::VALUE;
     *
     * @tparam T1 Left-hand argument.
     * @tparam T2 Right-hand argument.
     *
     * @return Type Either True or False, depending on whether T1 is the same type
     *              as T2.
     * @return VALUE The same as <tt>Type::VALUE</tt>.
     */